CREATE TABLE EG.EGT_TIPO_AUDIENCIA
(
  COD_TIPO_AUDIENCIA  NUMBER(4)                 NOT NULL,
  DES_TIPO_AUDIENCIA  VARCHAR2(200 BYTE)        NOT NULL,
  IND_EXCLUSAO        CHAR(1 BYTE)              DEFAULT 'N'                   NOT NULL
)
TABLESPACE TSEGD001
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;

COMMENT ON TABLE EG.EGT_TIPO_AUDIENCIA IS 'ARMAZENA O DOMÍNIO FORMADO PELOS DIVERSOS TIPOS DE AUDIÊNCIA';

COMMENT ON COLUMN EG.EGT_TIPO_AUDIENCIA.COD_TIPO_AUDIENCIA IS 'CÓDIGO QUE IDENTIFICA O TIPO DA AUDIÊNCIA';

COMMENT ON COLUMN EG.EGT_TIPO_AUDIENCIA.DES_TIPO_AUDIENCIA IS 'DESCRIÇÃO POR EXTENSO DO TIPO DE AUDIÊNCIA';

COMMENT ON COLUMN EG.EGT_TIPO_AUDIENCIA.IND_EXCLUSAO IS 'INDICADOR DE EXCLUSÃO LÓGICA';


CREATE UNIQUE INDEX EG.EGT_TIPO_AUDIENCIA_PK ON EG.EGT_TIPO_AUDIENCIA
(COD_TIPO_AUDIENCIA)
LOGGING
TABLESPACE TSEGI001
PCTFREE    10
INITRANS   2
MAXTRANS   255
STORAGE    (
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
NOPARALLEL;


ALTER TABLE EG.EGT_TIPO_AUDIENCIA ADD (
  CONSTRAINT EGT_TIPO_AUDIENCIA_CC01
 CHECK (IND_EXCLUSAO IN ('N','S')),
  CONSTRAINT EGT_TIPO_AUDIENCIA_PK
 PRIMARY KEY
 (COD_TIPO_AUDIENCIA));


GRANT DELETE, INSERT, SELECT, UPDATE ON EG.EGT_TIPO_AUDIENCIA TO EGR_USUARIO_ETL;

